--- /dev/null
+smart-home (0.1-%BUILD%) unstable; urgency=medium
+ * WagnerTech utilities for FHEM
+ -- Michael Wagner <michael@wagnertech.de> Fri, 12 Apr 2019 10:00:00 +0100
--- /dev/null
+Source: smart-home
+Section: main
+Priority: optional
+Maintainer: Michael Wagner <michael@wagnertech.de>
+Build-Depends: git,build-essential
+
+Package: xfhem
+Architecture: all
+Depends: fhem
+Description: WagnerTech utilities for FHEM
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p $1/usr/bin/
+cp xfhem/bin/xfhem $1/usr/bin/
+
+mkdir -p $1/opt/fhem/
+cp xfhem/etc/wagnertech.cfg $1/opt/fhem/
+
+
--- /dev/null
+#!/bin/bash
+set -e
+
+chown fhem:dialout /opt/fhem/wagnertech.cfg
+
+if ! grep wagnertech.cfg /opt/fhem/fhem.cfg
+then
+ echo >> /opt/fhem/fhem.cfg
+ echo "# include from xfhem package" >> /opt/fhem/fhem.cfg
+ echo "include wagnertech.cfg" >> /opt/fhem/fhem.cfg
+ systemctl restart fhem
+fi
+